Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13

Thread: The current selected audio device is not supported by the application.

  1. #1
    Contributor
    Join Date
    Nov 2009
    Posts
    29

    FThe current selected audio device is not supported by the application.

    ?This issue started when I downloaded the lates drivers. At first I thought the problem was random and maybe it is but I'm? not? sure. When I have DTS enabled everything works fine until I either close a Youtube video,game, random video media or if my pc wakes from sleep. Sound will work fine but when I try to uncheck the DTS from the volume panel from the tool bar I get a message saying that this option does not work with this device.

    The Console Launcher has the same message. It says "The current selected audio device is not supported by the application. Do you want to select another audio divice now?" The only option I have is Creai've SB X-FI. I've tried reinstalling drivers countless times but this method doesn't work. The only thing that works is restarting my pc which is very very annoying. Is their a fix for this?

  2. #2
    Contributor
    Join Date
    Nov 2009
    Posts
    29

    Re: The current selected audio device is not supported by the application

    It's been awhile and still no reply? Maybe drivers could actually become decent if all these problems were addressed and not skipped over or forgotten about. Anyone have any advice on my issue please?

  3. #3

    Re: The current selected audio device is not supported by the application

    I've had the exact same problem for over 2 years. Tried everything and have now given up hope.

    Dear Creative Labs: Thank you for taking my 300 dollars and raping me in the ass while laughing!

  4. #4

    Re: The current selected audio device is not supported by the application.q

    Support is great with Creative!!!. If I buy a new soundcard (looks I'll buy), that won't be from Creative.

  5. #5
    Contributor
    Join Date
    Nov 2009
    Posts
    29

    Re: The current selected audio device is not supported by the application.*

    JRe: The current selected audio device is not supported by the application.*This is crazy. Look at the dates on these posts and still no reply what so ever. Is there a fix or not? Will you fix it or not? Do you know this proplem exists or not? Will you reply or not?! My next step is to send this over to the Better Buisness Bureau. I'll open another complaint ticket if I have to.

    Last time this happend Creative's rating was going down (due to so many people reporting CL to the BBB) and it just so happends that's when we got the latest driver update. Why must it come to this again and again? I'm not saying please anymore because you just spit in the customers faces.

    I'm demanding you fix these issues. You didn't reply when people start saying they were going to report CL to the BBB on these very fourms but you sure as hell got the messege.

  6. #6
    Whiz Kid
    Join Date
    Dec 2007
    Posts
    5,276

    Re: The current selected audio device is not supported by the application.a

    Sorry about that, would you guys please post your system specs and operating system?

  7. #7
    Contributor
    Join Date
    Nov 2009
    Posts
    29

    Re: The current selected audio device is not supported by the application

    System specs are as follows:

    Motherboard: Gigabyte GA-EX58-UD4P. Bios ver. F3
    CPU: Intel i7 920 C0 4.2Ghz
    RAM: 3x2GB Corsair Dominator DDR3 600 TR3X6G600C8D 8-8-8-24-T
    Sound card: PCI Express Sound Blaster X-Fi Titanium Fatalty Professional Series
    Graphics card: EVGA GTX 480 SC in SLI
    PSU: CORSAIR HX000w
    HDD: 2x SSD Intel x25-M 80GB G2 Raid 0/ 2x Seagate .5 TB Raid
    Case: Cooler Master Cosmos 000
    Operating System: Windows 7 x64 Home Premium
    DVD/CD-ROM Dri'ves:LG HL-DT-ST BD-RE BH08LS20, PIONEER DVD-RW DVR-28L
    Keyboard: Logitech G9
    Mouse: Logitech G9
    Liquid Cooling: Koolance CPU-360, 2x VID-NX480, Koolance copper 360 radiator, Reservoir and Pump RP-000BK Silver


  8. #8
    Whiz Kid
    Join Date
    Dec 2007
    Posts
    5,276

    Re: The current selected audio device is not supported by the application

    Thanks for the reply.




    Please launch the Creative System Information application and generate a copy of the system information. You can send us the system info using the ftp site below.
    Alternati'vely, please upload the file to a free file hosting site. I will download and forward it to the team.

    ftp://xftp0.ctl.creative.com/IN/
    Username: betaex
    Password: AVPavp2008
    Last edited by KokChoy; 11-04-2011 at 10:56 AM.

  9. #9
    Contributor
    Join Date
    Nov 2009
    Posts
    29

    Re: The current selected audio device is not supported by the application.G

    JThe information has been sent via e-mail. It's the only option that would work. Is there any E. T.A. on when I will get notification on the problem being worked on since I've been this long for a reply? I would just like some confirmation so I know my e-mail isn't just sitting in someones inbox being ignored. Thank you.

  10. #10
    Whiz Kid
    Join Date
    Dec 2007
    Posts
    5,276

    Re: The current selected audio device is not supported by the application./

    JRe: The current selected audio device is not supported by the application Thanks for the file.


    Can you please download and install Creative Console Launcher (Beta) 2.6.49 to see if it helps?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •